API Reference
Billing
Domains
Emails
Hooks applications
Hooks endpoints
Hooks event types
Hooks messages
Hooks portal
Log drains
Receiving
Risk
Suppressions
Tracking
Webhook endpoints
List messages
GET
/v1/hooks/applications/{application}/messages
The application's messages, newest first (kept for 30 days).
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
application*stringThe application's id (happ_…) or your uid for it.
event_type?stringOnly messages of this type.
Match
^[A-Za-z0-9_.-]{1,64}$limit?integer1-100, default 50.
Range
1 <= value <= 100after?stringCursor: the id of the last message of the previous page.
Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"A page of messages.
application/json- response
- response
- …
object*"list"Value in
"list"data*array<>has_more*booleanimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.hooks.messages.list("customer_8812");{ "object": "list", "data": [ { "object": "hook_message", "id": "hmsg_01k7c8m4q2f3e9v6t5r1n0p8yz", "application_id": "happ_01k7c8m4q2f3e9v6t5r1n0p8yz", "event_type": "invoice.paid", "payload": { "invoice_id": "in_1042", "amount": 4200, "currency": "usd" }, "created_at": "2026-01-15T09:30:00.000Z" } ], "has_more": false}